package cn.ey.biz.module.system.service.wiki;

import cn.ey.biz.module.system.controller.admin.wiki.vo.WikiPageContentRespVO;
import cn.ey.biz.module.system.convert.wiki.WikiSpaceConvert;
import cn.ey.biz.module.system.dal.dataobject.wiki.WikiPageContentDO;
import cn.ey.biz.module.system.dal.mapper.wiki.WikiPageContentMapper;
import cn.hutool.core.collection.CollectionUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import org.springframework.stereotype.Service;
import javax.annotation.Resource;
import java.util.List;


@Service
public class WikiPageContentServiceImpl implements WikiPageContentService {

    @Resource
    private WikiPageContentMapper wikiPageContentMapper;

    @Override
    public WikiPageContentRespVO getContent(Long id) {
        LambdaQueryWrapper<WikiPageContentDO> wrappers = Wrappers.lambdaQuery(WikiPageContentDO.class)
                .eq(WikiPageContentDO::getPageId, id);
        List<WikiPageContentDO> wikiPageContentDo=wikiPageContentMapper.selectList(wrappers);
        if(CollectionUtil.isNotEmpty(wikiPageContentDo)){
            WikiPageContentRespVO wikiPageRespVOList= WikiSpaceConvert.INSTANCE.convertContent(wikiPageContentDo.get(0));
            return wikiPageRespVOList;
        }
       return null;
    }



}
